Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.cms.security
Class AuthorizationProviderImpl

    java.lang.Object
      org.jboss.mx.util.JBossNotificationBroadcasterSupport
          org.jboss.system.ServiceMBeanSupport
              org.jboss.portal.jems.as.system.AbstractJBossService
                  org.jboss.portal.cms.security.AuthorizationProviderImpl

All Implemented Interfaces:
  javax.management.MBeanRegistration, javax.management.NotificationBroadcaster, javax.management.NotificationEmitter, AuthorizationProvider, org.jboss.portal.security.spi.provider.AuthorizationDomain, org.jboss.portal.security.spi.provider.DomainConfigurator, org.jboss.system.Service, org.jboss.system.ServiceMBean

    public class AuthorizationProviderImpl

extends org.jboss.portal.jems.as.system.AbstractJBossService
implements AuthorizationProvider

Created on : Jan 23, 2007

Author:
  Sohil Shah - sohil.shah@jboss.com

Field Summary

Fields inherited from class org.jboss.system.ServiceMBeanSupport
`log, server, SERVICE_CONTROLLER_SIG, serviceName`

Fields inherited from interface org.jboss.system.ServiceMBean
`CREATE_EVENT, CREATED, DESTROY_EVENT, DESTROYED, FAILED, REGISTERED, START_EVENT, STARTED, STARTING, states, STOP_EVENT, STOPPED, STOPPING, UNREGISTERED`

Constructor Summary
`AuthorizationProviderImpl()`

Method Summary
`java.lang.String` | `getCmsRootUserName()`
`org.jboss.portal.security.spi.provider.DomainConfigurator` | `getConfigurator()`
`java.lang.String` | `getCriteriaURI(java.lang.String name, java.lang.String value)`
`java.lang.String` | `getDefaultAdminRole()`
`org.jboss.portal.identity.IdentityServiceController` | `getIdentityServiceController()`
`org.jboss.portal.identity.MembershipModule` | `getMembershipModule()`
`org.jboss.portal.security.spi.provider.PermissionFactory` | `getPermissionFactory()`
`org.jboss.portal.security.spi.provider.PermissionRepository` | `getPermissionRepository()`
`java.lang.String` | `getRoleURI(java.lang.String roleId)`
`org.jboss.portal.identity.User` | `getRoot()`
`java.util.Set` | `getSecurityBindings(java.lang.String uri)`
`java.lang.String` | `getType()`
`java.lang.String` | `getUserURI(java.lang.String userId)`
`void` | `removeSecurityBindings(java.lang.String uri)`
`void` | `setCmsRootUserName(java.lang.String cmsRootUserName)`
`void` | `setIdentityServiceController(org.jboss.portal.identity.IdentityServiceController identityServiceController)`
`void` | `setSecurityBindings(java.lang.String uri, java.util.Set securityBindings)`
`void` | `startService()`

Methods inherited from class org.jboss.portal.jems.as.system.AbstractJBossService
`create, destroy, getState, getStateString, start, stop`

Methods inherited from class org.jboss.system.ServiceMBeanSupport
`createService, destroyService, getDeploymentInfo, getLog, getName, getNextNotificationSequenceNumber, getObjectName, getServer, getServiceName, jbossInternalCreate, jbossInternalDescription, jbossInternalDestroy, jbossInternalLifecycle, jbossInternalStart, jbossInternalStop, postDeregister, postRegister, preDeregister, preRegister, stopService`

Methods inherited from class org.jboss.mx.util.JBossNotificationBroadcasterSupport
`addNotificationListener, getNotificationInfo, handleNotification, nextNotificationSequenceNumber, removeNotificationListener, removeNotificationListener, sendNotification`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AuthorizationProviderImpl

    public AuthorizationProviderImpl()

Method Detail

### startService

    public void startService()
                      throws java.lang.Exception

  Overrides:
    `startService` in class `org.jboss.system.ServiceMBeanSupport`
  Throws:
    `java.lang.Exception`

### getConfigurator

    public org.jboss.portal.security.spi.provider.DomainConfigurator getConfigurator()

  Specified by:
    `getConfigurator` in interface `org.jboss.portal.security.spi.provider.AuthorizationDomain`

### getPermissionFactory

    public org.jboss.portal.security.spi.provider.PermissionFactory getPermissionFactory()

  Specified by:
    `getPermissionFactory` in interface `org.jboss.portal.security.spi.provider.AuthorizationDomain`

### getPermissionRepository

    public org.jboss.portal.security.spi.provider.PermissionRepository getPermissionRepository()

  Specified by:
    `getPermissionRepository` in interface `org.jboss.portal.security.spi.provider.AuthorizationDomain`

### getType

    public java.lang.String getType()

  Specified by:
    `getType` in interface `org.jboss.portal.security.spi.provider.AuthorizationDomain`

### getCmsRootUserName

    public java.lang.String getCmsRootUserName()

  Returns:

### setCmsRootUserName

    public void setCmsRootUserName(java.lang.String cmsRootUserName)

  Parameters:
    `cmsRootUserName` -

### setSecurityBindings

    public void setSecurityBindings(java.lang.String uri,
                                    java.util.Set securityBindings)
                             throws org.jboss.portal.security.spi.provider.SecurityConfigurationException

  Specified by:
    `setSecurityBindings` in interface `org.jboss.portal.security.spi.provider.DomainConfigurator`
  Throws:
    `org.jboss.portal.security.spi.provider.SecurityConfigurationException`

### removeSecurityBindings

    public void removeSecurityBindings(java.lang.String uri)
                                throws org.jboss.portal.security.spi.provider.SecurityConfigurationException

  Specified by:
    `removeSecurityBindings` in interface `org.jboss.portal.security.spi.provider.DomainConfigurator`
  Throws:
    `org.jboss.portal.security.spi.provider.SecurityConfigurationException`

### getSecurityBindings

    public java.util.Set getSecurityBindings(java.lang.String uri)

  Specified by:
    `getSecurityBindings` in interface `org.jboss.portal.security.spi.provider.DomainConfigurator`

### getRoot

    public org.jboss.portal.identity.User getRoot()

  Specified by:
    `getRoot` in interface `AuthorizationProvider`
  Returns:

### getDefaultAdminRole

    public java.lang.String getDefaultAdminRole()

  Specified by:
    `getDefaultAdminRole` in interface `AuthorizationProvider`
  Returns:

### getUserURI

    public java.lang.String getUserURI(java.lang.String userId)

  Specified by:
    `getUserURI` in interface `AuthorizationProvider`
  Returns:

### getRoleURI

    public java.lang.String getRoleURI(java.lang.String roleId)

  Specified by:
    `getRoleURI` in interface `AuthorizationProvider`
  Parameters:
    `roleId` -
  Returns:

### getCriteriaURI

    public java.lang.String getCriteriaURI(java.lang.String name,
                                           java.lang.String value)

  Specified by:
    `getCriteriaURI` in interface `AuthorizationProvider`
  Parameters:
    `name` -
    `value` -
  Returns:

### getMembershipModule

    public org.jboss.portal.identity.MembershipModule getMembershipModule()

  Specified by:
    `getMembershipModule` in interface `AuthorizationProvider`
  Returns:

### getIdentityServiceController

    public org.jboss.portal.identity.IdentityServiceController getIdentityServiceController()

### setIdentityServiceController

    public void setIdentityServiceController(org.jboss.portal.identity.IdentityServiceController identityServiceController)

  Parameters:
    `identityServiceController` -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008. All Rights Reserved.